Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
kde-apps/syndication moved to kde-frameworks problems
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
msst
Apprentice
Apprentice


Joined: 07 Jun 2011
Posts: 197

PostPosted: Sat Oct 13, 2018 6:53 pm    Post subject: kde-apps/syndication moved to kde-frameworks problems Reply with quote

Code:
[ebuild  N     ] kde-apps/kdepim-meta-18.04.3-r1
[blocks B      ] kde-apps/syndication ("kde-apps/syndication" is blocking kde-frameworks/syndication-5.50.0)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-apps/syndication-18.04.3:5/5::gentoo, ebuild scheduled for merge) pulled in by
    kde-apps/syndication required by @kdepim

  (kde-frameworks/syndication-5.50.0:5/5.50::gentoo, installed) pulled in by
    >=kde-frameworks/syndication-5.46.0:5 required by (kde-apps/kblog-18.04.3-r1:5/5::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/syndication-5.46.0:5 required by (kde-apps/akregator-18.04.3-r1:5/5::gentoo, ebuild scheduled for merge)


kdepim which is part of kde-applications wants syndication still from its old location, but it seems to have moved into kde-framworks. How do I work around this and force kdepim to accept syndication from frameworks?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6575
Location: Austria

PostPosted: Sat Oct 13, 2018 6:55 pm    Post subject: Reply with quote

Code:
kde-apps/syndication required by @kdepim

^ fix your @kdepim set, then

Alternatively, if you are using the sets from kde overlay, sync it.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
msst
Apprentice
Apprentice


Joined: 07 Jun 2011
Posts: 197

PostPosted: Sat Oct 13, 2018 7:18 pm    Post subject: Reply with quote

Quote:
Alternatively, if you are using the sets from kde overlay, sync it.


Thanks, sometimes someone has to state the obvious, that was too trivial. And I thought I had synced it, but apparently not...
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6575
Location: Austria

PostPosted: Sat Oct 13, 2018 7:20 pm    Post subject: Reply with quote

msst wrote:
And I thought I had synced it, but apparently not...

You did, but in between I fixed it ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum